MMEvents.registerPorts(event => {
    event.create("power_port")
        .name("Power Port")
        .controllerId("mm:machine_controller")
        .config("mm:energy", c => {
            c.capacity(50000)
                .maxReceive(1000)
                .maxExtract(1000);
        })
    event.create("item_port")
        .name("Item Port")
        .controllerId("mm:machine_controller")
        .config("mm:item", d => {
            d.rows(3)
                .columns(3);

        })
  
        event.create("power_port_plus")
        .name("Power Port Plus")
        .controllerId("mm:machine_controller")
        .config("mm:energy", c => {
            c.capacity(500000)
                .maxReceive(10000)
                .maxExtract(10000);
        })
        event.create("crude_item_port")
        .name("Crude Item Port")
        .controllerId("mm:crude_machine_controller")
        .config("mm:item", d => {
            d.rows(1)
                .columns(1);

        })
        event.create("fluid_port")
        .name("Fluid Port")
        .controllerId("mm:machine_controller")
        .config("mm:fluid", f => {
            f.rows(2)
            .columns(1)
            .slotCapacity(5000);

        })
        
})